// file      : hello/driver.cxx
// copyright : not copyrighted - public domain

#include <memory>   // std::auto_ptr
#include <iostream>

#include <odb/database.hxx>
#include <odb/transaction.hxx>

#include "database.hxx" // create_database

#include "person.hxx"
#include "person-odb.hxx"

using namespace std;
using namespace odb::core;

int
main (int argc, char* argv[])
{
  try
  {
    auto_ptr<database> db (create_database (argc, argv));

    unsigned long john_id, joe_id;

	transaction t (db->begin ());

	person john;
	john.age = 15;
	john.vecVals.push_back(1.2);
	john.vecVals.push_back(3.4);
	john.vecVals.push_back(5.6);

	//john.vecVals.push_back('a');
	//john.vecVals.push_back('b');
	//john.vecVals.push_back('c');

      john_id = db->persist (john);
      t.commit ();
  }
  catch (const odb::exception& e)
  {
    cerr << e.what () << endl;
    return 1;
  }
}
